var i, j;

location l0 with
(i=1
j=10) ;

location l1 ;

location l2;

transition t0 l0 -> l1 ;

transition t1 l1 -> l1 with
Guard (i<=j)
      i := i+2
      j := j-1 ;

transition t2 l1->l2 with
Guard (i>=j+1) ;

end